using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;

namespace Mall
{
    public partial class HelpViews : System.Web.UI.Page
    {
       public string html_str_newsmcview_left_hot = string.Empty;
       public string html_str_newsmcview_left_new = string.Empty;
       public string html_str_newsmcview_left_his = string.Empty;
       public string help_title_top = string.Empty;
       public string str_helpview_left_class = string.Empty;
       public DataTable dt = new DataTable();
        protected void Page_Load(object sender, EventArgs e)
        {
            string id = Request["id"] == null ? "" : Request["id"].ToString();
            string lastview = Request.Cookies["lastview"] == null ? "" : Request.Cookies["lastview"].ToString();
            string help_title_top = string.Empty;
            BLL.Models.MClassModels models_class = new BLL.Models.MClassModels();
            string str_helpview_left_class = models_class.GetHelpviews();

             dt = new DataTable();
            BLL.Models.MArticleModels model = new BLL.Models.MArticleModels();
            BLL.Models.ProductModels models_product = new BLL.Models.ProductModels();
            string html_str_newsmcview_left_hot = models_product.GetProductHotLeft(7);
            string html_str_newsmcview_left_new = models_product.GetProductnewLeft(7);
            string html_str_newsmcview_left_his = models_product.GetProductHisLeft(7, lastview);
            dt = model.GetArticleByFiter(" top 1 ", " classid=" + id);
            //ViewData["helpviews"] = dt;
            //ViewData["html_str_newsmcview_left_hot"] = html_str_newsmcview_left_hot;
            //ViewData["html_str_newsmcview_left_new"] = html_str_newsmcview_left_new;
            //ViewData["html_str_newsmcview_left_his"] = html_str_newsmcview_left_his;


            //TempData["str_helpview_left_class"] = str_helpview_left_class;
        }
    }
}